Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80036 - iso8859-1 extended chars displayed incorrectly
Summary: iso8859-1 extended chars displayed incorrectly
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: evolution
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-18 23:50 UTC by Michael Wardle
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-10 03:08:52 UTC


Attachments (Terms of Use)

Description Michael Wardle 2002-12-18 23:50:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
When viewing a ISO8859-1 (Latin-1) encoded plain text message in
Evolution, extended characters appear incorrectly (for instance, an
o-umlaut appears as an odd symbol that looks something like an X or
an asterisk).

I will fetch the latest Raw Hide package and test that just in case
this issue has been fixed recently.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.

    

Additional info:

This is using evolution-1.2.0-2 downloaded a couple weeks ago from
Raw Hide.  I have a feeling this issue also existed in evolution 1.0.x.

I have tried various different fonts, but the characters are still
rendered incorrectly.

I am using a mostly standard Red Hat Linux 8.0 with en_AU.UTF8 locale.

The mail message I saw this with most recently had specifically
stated it was encoded using ISO8859-1, as the headers contained:
Content-Type: text/plain; charset=iso-8859-1

Comment 1 Jeremy Katz 2002-12-29 08:51:28 UTC
Is this any better with 1.2.1 currently in rawhide (and more importantly, the
newer gtkhtml)?  If not, what are your font settings set to?

Comment 2 Jeremy Katz 2003-02-10 03:08:52 UTC
Closing due to inactivity


Note You need to log in before you can comment on or make changes to this bug.